# main.cpp

## setting parameter
* bool rawdata
  * "true" -> raw data tree will be created
* bool mapdata
  * "true" -> map tree will be created
* bool calibration
  * "true" -> calibrated tree will be created
  * **NOTE**: calibrated tree require map tree, so mapdata = true; and calibration = true; is needed
* bool print_progress
  * "true" -> display the process of data conversion in stdout
* TString yamlfile
  * Set the path to the yaml file in which the settings are written

## content
1. **CheckCommandLine** -> read information written on the command line
2. **Readyaml** -> read specified yaml file
3. **CreateRootFile** -> prepare rootfile
4. **Create__Tree** -> create trees (Raw->tree, Map->mtree, Calib->ctree)
5. **Create__branch** -> create each branches from config file ***(should be improved)***
6. **Create__Mapping** -> mapping each branch to the id on the DAQ ***(should be improved)***
7. **TArtEventStore**
    * Read and decode ridf file using ANAROOT library
8. **Clear__All** -> initialize value
9. **Give__Value** -> Store decoded values in mapped branches ***(should be improved)***
    * geo: detector, ch: channel, val: recorded value
10. **__Fill** -> store values in the branches in one event
11. **__DataWrite** -> write the created trees to the rootfile
12. **FileClose** -> close the rootfile
