#ifndef TCORDFERMAPBRANCH_HH_
#define TCORDFERMAPBRANCH_HH_

#include <iostream>
#include <vector>

#include <TSystem.h>

using namespace std;

class TCordferMapBranch
{
  private:
    TString name;

  public:
    TCordferMapBranch(){}
    TCordferMapBranch(TString bname, Int_t bsize){
      name = bname;
      size = bsize;
      MemorySet();
    }
    ~TCordferMapBranch(){}

    bool adc;
    Int_t size;
    Int_t *bra_val;
    vector<Int_t> segment_id;
    vector<Int_t> channel;

    TString GetBranchName(){ return name; }

    void MemorySet(){ bra_val = new Int_t[size]; }
    void FreeMemory(){ delete[] bra_val; }
    void SetMapInfo(vector<Int_t> seg, vector<Int_t> ch);
};

#endif
